<!-- HTML header for doxygen 1.8.9.1-->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<title>OpenThread: Thread::Lowpan::Lowpan Class Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="../../Open-Thread-Logo-200x42.png"/></td>
  <td style="padding-left: 0.5em;">
   <div id="projectname">
   &#160;<span id="projectnumber">gddd0704</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "../../search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="../../index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="../../modules.html"><span>Modules</span></a></li>
      <li><a href="../../namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="../../annotated.html"><span>Classes</span></a></li>
      <li><a href="../../files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="../../search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="../../search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="../../annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="../../classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="../../inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="../../functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('d8/d3a/classThread_1_1Lowpan_1_1Lowpan.html','../../');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-types">Public Types</a> &#124;
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-static-methods">Static Public Member Functions</a> &#124;
<a href="../../dc/d1a/classThread_1_1Lowpan_1_1Lowpan-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">Thread::Lowpan::Lowpan Class Reference<div class="ingroups"><a class="el" href="../../d0/de1/group__core.html">Core</a> &raquo; <a class="el" href="../../d9/db4/group__core-6lowpan.html">6LoWPAN</a></div></div>  </div>
</div><!--header-->
<div class="contents">

<p>This class implements LOWPAN_IPHC header compression.  
 <a href="../../d8/d3a/classThread_1_1Lowpan_1_1Lowpan.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="../../de/d66/lowpan_8hpp_source.html">src/core/thread/lowpan.hpp</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-types"></a>
Public Types</h2></td></tr>
<tr class="memitem:aa89d8500f5607defede88602ea2fff67"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aa89d8500f5607defede88602ea2fff67"></a>enum &#160;</td><td class="memItemRight" valign="bottom">{ <b>kHopsLeft</b> = 14
 }</td></tr>
<tr class="separator:aa89d8500f5607defede88602ea2fff67"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a48631a8e972558f9965d690ab03e92ba"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d3a/classThread_1_1Lowpan_1_1Lowpan.html#a48631a8e972558f9965d690ab03e92ba">Lowpan</a> (<a class="el" href="../../d3/d8e/classThread_1_1ThreadNetif.html">ThreadNetif</a> &amp;aThreadNetif)</td></tr>
<tr class="memdesc:a48631a8e972558f9965d690ab03e92ba"><td class="mdescLeft">&#160;</td><td class="mdescRight">This constructor initializes the object.  <a href="#a48631a8e972558f9965d690ab03e92ba">More...</a><br /></td></tr>
<tr class="separator:a48631a8e972558f9965d690ab03e92ba"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a96cd83be02e4d74593f98a86ee1a477c"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d3a/classThread_1_1Lowpan_1_1Lowpan.html#a96cd83be02e4d74593f98a86ee1a477c">Compress</a> (<a class="el" href="../../dc/d3c/classThread_1_1Message.html">Message</a> &amp;aMessage, const <a class="el" href="../../dd/dcd/structThread_1_1Mac_1_1Address.html">Mac::Address</a> &amp;aMacSource, const <a class="el" href="../../dd/dcd/structThread_1_1Mac_1_1Address.html">Mac::Address</a> &amp;aMacDest, uint8_t *aBuf)</td></tr>
<tr class="memdesc:a96cd83be02e4d74593f98a86ee1a477c"><td class="mdescLeft">&#160;</td><td class="mdescRight">This method compresses an IPv6 header.  <a href="#a96cd83be02e4d74593f98a86ee1a477c">More...</a><br /></td></tr>
<tr class="separator:a96cd83be02e4d74593f98a86ee1a477c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a51c10ea00004ab9551618d9d76b56761"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d3a/classThread_1_1Lowpan_1_1Lowpan.html#a51c10ea00004ab9551618d9d76b56761">Decompress</a> (<a class="el" href="../../dc/d3c/classThread_1_1Message.html">Message</a> &amp;aMessage, const <a class="el" href="../../dd/dcd/structThread_1_1Mac_1_1Address.html">Mac::Address</a> &amp;aMacSource, const <a class="el" href="../../dd/dcd/structThread_1_1Mac_1_1Address.html">Mac::Address</a> &amp;aMacDest, const uint8_t *aBuf, uint16_t aBufLen, uint16_t aDatagramLen)</td></tr>
<tr class="memdesc:a51c10ea00004ab9551618d9d76b56761"><td class="mdescLeft">&#160;</td><td class="mdescRight">This method decompresses a LOWPAN_IPHC header.  <a href="#a51c10ea00004ab9551618d9d76b56761">More...</a><br /></td></tr>
<tr class="separator:a51c10ea00004ab9551618d9d76b56761"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aedb6b9f843ff1752d37fab8565fd27bf"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d3a/classThread_1_1Lowpan_1_1Lowpan.html#aedb6b9f843ff1752d37fab8565fd27bf">DecompressBaseHeader</a> (<a class="el" href="../../d8/d6e/classThread_1_1Ip6_1_1Header.html">Ip6::Header</a> &amp;aHeader, const <a class="el" href="../../dd/dcd/structThread_1_1Mac_1_1Address.html">Mac::Address</a> &amp;aMacSource, const <a class="el" href="../../dd/dcd/structThread_1_1Mac_1_1Address.html">Mac::Address</a> &amp;aMacDest, const uint8_t *aBuf)</td></tr>
<tr class="memdesc:aedb6b9f843ff1752d37fab8565fd27bf"><td class="mdescLeft">&#160;</td><td class="mdescRight">This method decompresses a LOWPAN_IPHC header.  <a href="#aedb6b9f843ff1752d37fab8565fd27bf">More...</a><br /></td></tr>
<tr class="separator:aedb6b9f843ff1752d37fab8565fd27bf"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-static-methods"></a>
Static Public Member Functions</h2></td></tr>
<tr class="memitem:ade9d72685760a1b3901c72b9a798f057"><td class="memItemLeft" align="right" valign="top">static bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d3a/classThread_1_1Lowpan_1_1Lowpan.html#ade9d72685760a1b3901c72b9a798f057">IsLowpanHc</a> (uint8_t *aHeader)</td></tr>
<tr class="memdesc:ade9d72685760a1b3901c72b9a798f057"><td class="mdescLeft">&#160;</td><td class="mdescRight">This method indicates whether or not the header is a LOWPAN_IPHC header.  <a href="#ade9d72685760a1b3901c72b9a798f057">More...</a><br /></td></tr>
<tr class="separator:ade9d72685760a1b3901c72b9a798f057"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>This class implements LOWPAN_IPHC header compression. </p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="a48631a8e972558f9965d690ab03e92ba"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">Thread::Lowpan::Lowpan::Lowpan </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d3/d8e/classThread_1_1ThreadNetif.html">ThreadNetif</a> &amp;&#160;</td>
          <td class="paramname"><em>aThreadNetif</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">explicit</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>This constructor initializes the object. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">aThreadNetif</td><td>A reference to the Thread network interface. </td></tr>
  </table>
  </dd>
</dl>

<p><div class="dynheader">
Here is the call graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="../../d8/d3a/classThread_1_1Lowpan_1_1Lowpan_a48631a8e972558f9965d690ab03e92ba_cgraph.png" border="0" usemap="#d8/d3a/classThread_1_1Lowpan_1_1Lowpan_a48631a8e972558f9965d690ab03e92ba_cgraph" alt=""/></div>
<map name="d8/d3a/classThread_1_1Lowpan_1_1Lowpan_a48631a8e972558f9965d690ab03e92ba_cgraph" id="d8/d3a/classThread_1_1Lowpan_1_1Lowpan_a48631a8e972558f9965d690ab03e92ba_cgraph">
<area shape="rect" id="node2" href="../../d9/db1/classThread_1_1Ip6_1_1Address.html#a7e4fe6c422ffbaf30638bbf7065da6fa" title="This method sets the Interface Identifier. " alt="" coords="225,5,371,44"/>
<area shape="rect" id="node3" href="../../d9/db1/classThread_1_1Ip6_1_1Address.html#a5782d1de44935ab3e52a2f82bb6a66db" title="This method returns a pointer to the Interface Identifier. " alt="" coords="225,68,371,107"/>
</map>
</div>
</p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a class="anchor" id="a96cd83be02e4d74593f98a86ee1a477c"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int Thread::Lowpan::Lowpan::Compress </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../dc/d3c/classThread_1_1Message.html">Message</a> &amp;&#160;</td>
          <td class="paramname"><em>aMessage</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="../../dd/dcd/structThread_1_1Mac_1_1Address.html">Mac::Address</a> &amp;&#160;</td>
          <td class="paramname"><em>aMacSource</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="../../dd/dcd/structThread_1_1Mac_1_1Address.html">Mac::Address</a> &amp;&#160;</td>
          <td class="paramname"><em>aMacDest</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint8_t *&#160;</td>
          <td class="paramname"><em>aBuf</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This method compresses an IPv6 header. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">aMessage</td><td>A reference to the IPv6 message. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">aMacSource</td><td>The MAC source address. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">aMacDest</td><td>The MAC destination address. </td></tr>
    <tr><td class="paramdir">[out]</td><td class="paramname">aBuf</td><td>A pointer where the compressed IPv6 header will be placed.</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>The size of the compressed header in bytes. </dd></dl>

<p><div class="dynheader">
Here is the call graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="../../d8/d3a/classThread_1_1Lowpan_1_1Lowpan_a96cd83be02e4d74593f98a86ee1a477c_cgraph.png" border="0" usemap="#d8/d3a/classThread_1_1Lowpan_1_1Lowpan_a96cd83be02e4d74593f98a86ee1a477c_cgraph" alt=""/></div>
<map name="d8/d3a/classThread_1_1Lowpan_1_1Lowpan_a96cd83be02e4d74593f98a86ee1a477c_cgraph" id="d8/d3a/classThread_1_1Lowpan_1_1Lowpan_a96cd83be02e4d74593f98a86ee1a477c_cgraph">
<area shape="rect" id="node2" href="../../dc/d3c/classThread_1_1Message.html#a76033bbc15170d72452186058defafa2" title="This method reads bytes from the message. " alt="" coords="243,93,408,119"/>
<area shape="rect" id="node4" href="../../d6/d9b/classThread_1_1NetworkData_1_1Leader.html#aeda6636db45b59e47b41830e19eb3676" title="This method retrieves the 6LoWPAN Context information based on a given IPv6 address. " alt="" coords="251,203,399,241"/>
<area shape="rect" id="node15" href="../../d8/d6e/classThread_1_1Ip6_1_1Header.html#a6cc72334ebe32da12f67b0389b9bae21" title="This method returns the IPv6 Source address. " alt="" coords="255,265,396,304"/>
<area shape="rect" id="node16" href="../../d8/d6e/classThread_1_1Ip6_1_1Header.html#a24b065a50a342b00d2d8907b2fb3a66a" title="This method returns the IPv6 Destination address. " alt="" coords="255,328,396,367"/>
<area shape="rect" id="node17" href="../../d8/d6e/classThread_1_1Ip6_1_1Header.html#a7717de6245b76cb29e09ce439ff15276" title="This method returns the IPv6 Next Header value. " alt="" coords="255,391,396,429"/>
<area shape="rect" id="node18" href="../../d8/d6e/classThread_1_1Ip6_1_1Header.html#a3887b14d3f0c9943a645ddede9ef0eb8" title="This method returns the IPv6 Hop Limit value. " alt="" coords="255,453,396,492"/>
<area shape="rect" id="node19" href="../../d9/db1/classThread_1_1Ip6_1_1Address.html#a51cfd76548da9f661a0d7a47a8d5e813" title="This method indicates whether or not the IPv6 address is the Unspecified Address. ..." alt="" coords="252,516,398,555"/>
<area shape="rect" id="node20" href="../../d9/db1/classThread_1_1Ip6_1_1Address.html#a95748f9c0a5048ce8700cd040d7efc52" title="This method indicates whether or not the IPv6 address scope is Link&#45;Local. " alt="" coords="252,579,398,617"/>
<area shape="rect" id="node21" href="../../d9/db1/classThread_1_1Ip6_1_1Address.html#a37b709740053966d80e6c4b65e38ad2e" title="This method indicates whether or not the IPv6 address is multicast address. " alt="" coords="252,641,398,680"/>
<area shape="rect" id="node22" href="../../dc/d3c/classThread_1_1Message.html#acaa6ed0d0c060a524cb5da25451acc0d" title="This method sets the byte offset within the message. " alt="" coords="231,704,419,729"/>
<area shape="rect" id="node23" href="../../dc/d3c/classThread_1_1Message.html#ac8304ee00c9e0b303539687e98e192e0" title="This method returns the byte offset within the message. " alt="" coords="231,753,420,779"/>
<area shape="rect" id="node24" href="../../dc/d3c/classThread_1_1Message.html#a7b45edaa8ba9f31a437aea73cfca387c" title="This method moves the byte offset within the message. " alt="" coords="225,803,426,828"/>
<area shape="rect" id="node25" href="../../de/df0/classThread_1_1Ip6_1_1ExtensionHeader.html#a68764e95bf4a7ac8c85463822ae756b8" title="This method returns the IPv6 Next Header value. " alt="" coords="226,852,425,891"/>
<area shape="rect" id="node26" href="../../de/df0/classThread_1_1Ip6_1_1ExtensionHeader.html#a9494816a3cf63e9bf4c637485f301cf6" title="This method returns the IPv6 Header Extension Length value. " alt="" coords="226,915,425,953"/>
<area shape="rect" id="node27" href="../../d2/d7c/classThread_1_1Ip6_1_1OptionHeader.html#a5526d213a992d14362a9eb8387a4403f" title="This method returns the IPv6 Option Type value. " alt="" coords="235,977,415,1016"/>
<area shape="rect" id="node28" href="../../d2/d7c/classThread_1_1Ip6_1_1OptionHeader.html#ac284bc7a465a12b3a2ac20927ecda327" title="This method returns the IPv6 Option Length value. " alt="" coords="235,1040,415,1079"/>
<area shape="rect" id="node29" href="../../d7/dd3/classThread_1_1Ip6_1_1UdpHeader.html#a83d995609237751bce5a8905c0bf837f" title="This method returns the UDP Source Port. " alt="" coords="243,1103,408,1141"/>
<area shape="rect" id="node30" href="../../d7/dd3/classThread_1_1Ip6_1_1UdpHeader.html#a21cbe8e5d4940ca6192f2fa58636c8cc" title="This method returns the UDP Destination Port. " alt="" coords="243,1165,408,1204"/>
<area shape="rect" id="node31" href="../../d7/dd3/classThread_1_1Ip6_1_1UdpHeader.html#aacbfd5f3fe0dfb920d7c276dba99b54c" title="This static method returns the byte offset for the UDP Length. " alt="" coords="243,1228,408,1267"/>
<area shape="rect" id="node32" href="../../d7/dd3/classThread_1_1Ip6_1_1UdpHeader.html#adb6ca8f7e1f62ee5b7669daeb2eb3db6" title="This static method returns the byte offset for the UDP Checksum. " alt="" coords="243,1291,408,1329"/>
<area shape="rect" id="node3" href="../../db/d50/classThread_1_1Buffer.html#a34ab22941ccd9bb222d251a6a18c95bf" title="This method returns a pointer to the next message buffer. " alt="" coords="474,5,672,31"/>
<area shape="rect" id="node5" href="../../d4/d80/group__core-netdata-core.html#ga5ff7c89eab94daf8fffde176c02f2093" title="This method computes the number of IPv6 Prefix bits that match. " alt="" coords="481,55,664,93"/>
<area shape="rect" id="node6" href="../../df/d94/group__core-mle-core.html#ga1892b5d66471226fa03645a966cb3eed" title="This method returns a pointer to the Mesh Local Prefix. " alt="" coords="481,117,664,156"/>
<area shape="rect" id="node8" href="../../d5/d81/classThread_1_1NetworkData_1_1NetworkDataTlv.html#af812881954a5608981bfa430eca30731" title="This method returns a pointer to the next Network Data TLV. " alt="" coords="720,221,900,260"/>
<area shape="rect" id="node9" href="../../d0/d48/classThread_1_1NetworkData_1_1PrefixTlv.html#aba35dd736801e79069757eee1d30d204" title="This method returns a pointer to the Prefix. " alt="" coords="499,232,647,271"/>
<area shape="rect" id="node10" href="../../d0/d48/classThread_1_1NetworkData_1_1PrefixTlv.html#a65883f0127059dc652e37a6b97ac4c07" title="This method returns the Prefix Length value. " alt="" coords="480,295,665,333"/>
<area shape="rect" id="node11" href="../../d4/d80/group__core-netdata-core.html#ga722be438ba262b0aba0128f5082388b1" title="This method returns a pointer to the Context TLV within a given Prefix TLV. " alt="" coords="480,357,665,396"/>
<area shape="rect" id="node14" href="../../df/d56/classThread_1_1NetworkData_1_1ContextTlv.html#a354b3c51fe5e9162a905759392f7a239" title="This method returns the Context ID value. " alt="" coords="483,420,662,459"/>
<area shape="rect" id="node7" href="../../d9/d13/classThread_1_1Ip6_1_1NetifUnicastAddress.html#a2bb426bd29e271bd1fc09b61d1044911" title="This method returns the unicast address. " alt="" coords="726,117,895,156"/>
<area shape="rect" id="node12" href="../../d0/d48/classThread_1_1NetworkData_1_1PrefixTlv.html#a99a8265aa86b2a1a26340ae1a51421f2" title="This method returns a pointer to the Sub&#45;TLVs. " alt="" coords="731,325,889,364"/>
<area shape="rect" id="node13" href="../../d5/d81/classThread_1_1NetworkData_1_1NetworkDataTlv.html#a30c105cfada5eeffd6a9f99c9187ee84" title="This method returns the Type value. " alt="" coords="720,388,901,427"/>
</map>
</div>
</p>

<p><div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="../../d8/d3a/classThread_1_1Lowpan_1_1Lowpan_a96cd83be02e4d74593f98a86ee1a477c_icgraph.png" border="0" usemap="#d8/d3a/classThread_1_1Lowpan_1_1Lowpan_a96cd83be02e4d74593f98a86ee1a477c_icgraph" alt=""/></div>
<map name="d8/d3a/classThread_1_1Lowpan_1_1Lowpan_a96cd83be02e4d74593f98a86ee1a477c_icgraph" id="d8/d3a/classThread_1_1Lowpan_1_1Lowpan_a96cd83be02e4d74593f98a86ee1a477c_icgraph">
<area shape="rect" id="node2" href="../../dd/d1d/classThread_1_1MeshForwarder.html#a3a55dcf590bf5941d216ff313b6ce0d0" title="This method gets the Data Poll period. " alt="" coords="225,5,389,44"/>
</map>
</div>
</p>

</div>
</div>
<a class="anchor" id="a51c10ea00004ab9551618d9d76b56761"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int Thread::Lowpan::Lowpan::Decompress </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../dc/d3c/classThread_1_1Message.html">Message</a> &amp;&#160;</td>
          <td class="paramname"><em>aMessage</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="../../dd/dcd/structThread_1_1Mac_1_1Address.html">Mac::Address</a> &amp;&#160;</td>
          <td class="paramname"><em>aMacSource</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="../../dd/dcd/structThread_1_1Mac_1_1Address.html">Mac::Address</a> &amp;&#160;</td>
          <td class="paramname"><em>aMacDest</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const uint8_t *&#160;</td>
          <td class="paramname"><em>aBuf</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint16_t&#160;</td>
          <td class="paramname"><em>aBufLen</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint16_t&#160;</td>
          <td class="paramname"><em>aDatagramLen</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This method decompresses a LOWPAN_IPHC header. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[out]</td><td class="paramname">aMessage</td><td>A reference where the IPv6 header will be placed. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">aMacSource</td><td>The MAC source address. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">aMacDest</td><td>The MAC destination address. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">aBuf</td><td>A pointer to the LOWPAN_IPHC header. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">aBufLen</td><td>The number of bytes in <code>aBuf</code>. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">aDatagramLen</td><td>The IPv6 datagram length.</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>The size of the compressed header in bytes. </dd></dl>

<p><div class="dynheader">
Here is the call graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="../../d8/d3a/classThread_1_1Lowpan_1_1Lowpan_a51c10ea00004ab9551618d9d76b56761_cgraph.png" border="0" usemap="#d8/d3a/classThread_1_1Lowpan_1_1Lowpan_a51c10ea00004ab9551618d9d76b56761_cgraph" alt=""/></div>
<map name="d8/d3a/classThread_1_1Lowpan_1_1Lowpan_a51c10ea00004ab9551618d9d76b56761_cgraph" id="d8/d3a/classThread_1_1Lowpan_1_1Lowpan_a51c10ea00004ab9551618d9d76b56761_cgraph">
<area shape="rect" id="node2" href="../../d8/d3a/classThread_1_1Lowpan_1_1Lowpan.html#aedb6b9f843ff1752d37fab8565fd27bf" title="This method decompresses a LOWPAN_IPHC header. " alt="" coords="230,559,408,597"/>
<area shape="rect" id="node20" href="../../dc/d3c/classThread_1_1Message.html#a3c3d1c48e940f2553586d16e1618277d" title="This method appends bytes to the end of the message. " alt="" coords="472,133,650,159"/>
<area shape="rect" id="node31" href="../../dc/d3c/classThread_1_1Message.html#acaa6ed0d0c060a524cb5da25451acc0d" title="This method sets the byte offset within the message. " alt="" coords="225,621,413,647"/>
<area shape="rect" id="node3" href="../../d6/d9b/classThread_1_1NetworkData_1_1Leader.html#aeda6636db45b59e47b41830e19eb3676" title="This method retrieves the 6LoWPAN Context information based on a given IPv6 address. " alt="" coords="487,183,635,221"/>
<area shape="rect" id="node14" href="../../d8/d6e/classThread_1_1Ip6_1_1Header.html#ae759dab83ad87de26f3e5661d4331a54" title="This method initializes the IPv6 header. " alt="" coords="491,245,632,284"/>
<area shape="rect" id="node15" href="../../d8/d6e/classThread_1_1Ip6_1_1Header.html#afc6dbaaca33c8996ce396195cb6f8978" title="This method sets the IPv6 Next Header value. " alt="" coords="491,308,632,347"/>
<area shape="rect" id="node16" href="../../d8/d6e/classThread_1_1Ip6_1_1Header.html#a60add06692d13d0b9ff26d1d1459cafa" title="This method sets the IPv6 Hop Limit value. " alt="" coords="491,371,632,409"/>
<area shape="rect" id="node17" href="../../d8/d6e/classThread_1_1Ip6_1_1Header.html#a6cc72334ebe32da12f67b0389b9bae21" title="This method returns the IPv6 Source address. " alt="" coords="491,433,632,472"/>
<area shape="rect" id="node18" href="../../d9/db1/classThread_1_1Ip6_1_1Address.html#a7e4fe6c422ffbaf30638bbf7065da6fa" title="This method sets the Interface Identifier. " alt="" coords="488,496,634,535"/>
<area shape="rect" id="node19" href="../../d8/d6e/classThread_1_1Ip6_1_1Header.html#a24b065a50a342b00d2d8907b2fb3a66a" title="This method returns the IPv6 Destination address. " alt="" coords="491,559,632,597"/>
<area shape="rect" id="node21" href="../../dc/d3c/classThread_1_1Message.html#a7b45edaa8ba9f31a437aea73cfca387c" title="This method moves the byte offset within the message. " alt="" coords="461,621,661,647"/>
<area shape="rect" id="node22" href="../../d7/de1/classThread_1_1Ip6_1_1OptionPad1.html#a25d2edd207eb69b1f3127fdc58bfe049" title="This method initializes the Pad1 header. " alt="" coords="478,671,645,709"/>
<area shape="rect" id="node23" href="../../d7/d93/classThread_1_1Ip6_1_1OptionPadN.html#aa0b5823c3b34f87c98cb38c8de9e66ae" title="This method initializes the PadN header. " alt="" coords="476,733,646,772"/>
<area shape="rect" id="node26" href="../../d7/dd3/classThread_1_1Ip6_1_1UdpHeader.html#a3e48adfe7fb163bd8dd6e6f26cb5dda4" title="This method sets the UDP Source Port. " alt="" coords="479,796,644,835"/>
<area shape="rect" id="node27" href="../../d7/dd3/classThread_1_1Ip6_1_1UdpHeader.html#aa6b4ee310b27450ea21696b8a1ab9e36" title="This method sets the UDP Destination Port. " alt="" coords="479,859,644,897"/>
<area shape="rect" id="node28" href="../../d7/dd3/classThread_1_1Ip6_1_1UdpHeader.html#ada31b17064f026a602cac8ce755cffcf" title="This method sets the UDP Checksum. " alt="" coords="479,921,644,960"/>
<area shape="rect" id="node29" href="../../d7/dd3/classThread_1_1Ip6_1_1UdpHeader.html#a232ac624d1b666065516cd2b7dc5f729" title="This method sets the UDP Length. " alt="" coords="479,984,644,1023"/>
<area shape="rect" id="node30" href="../../dc/d3c/classThread_1_1Message.html#ac8304ee00c9e0b303539687e98e192e0" title="This method returns the byte offset within the message. " alt="" coords="467,1047,656,1072"/>
<area shape="rect" id="node4" href="../../d4/d80/group__core-netdata-core.html#ga5ff7c89eab94daf8fffde176c02f2093" title="This method computes the number of IPv6 Prefix bits that match. " alt="" coords="710,5,894,44"/>
<area shape="rect" id="node5" href="../../df/d94/group__core-mle-core.html#ga1892b5d66471226fa03645a966cb3eed" title="This method returns a pointer to the Mesh Local Prefix. " alt="" coords="711,68,893,107"/>
<area shape="rect" id="node7" href="../../d5/d81/classThread_1_1NetworkData_1_1NetworkDataTlv.html#af812881954a5608981bfa430eca30731" title="This method returns a pointer to the next Network Data TLV. " alt="" coords="943,172,1123,211"/>
<area shape="rect" id="node8" href="../../d0/d48/classThread_1_1NetworkData_1_1PrefixTlv.html#aba35dd736801e79069757eee1d30d204" title="This method returns a pointer to the Prefix. " alt="" coords="728,183,876,221"/>
<area shape="rect" id="node9" href="../../d0/d48/classThread_1_1NetworkData_1_1PrefixTlv.html#a65883f0127059dc652e37a6b97ac4c07" title="This method returns the Prefix Length value. " alt="" coords="710,245,894,284"/>
<area shape="rect" id="node10" href="../../d4/d80/group__core-netdata-core.html#ga722be438ba262b0aba0128f5082388b1" title="This method returns a pointer to the Context TLV within a given Prefix TLV. " alt="" coords="709,308,895,347"/>
<area shape="rect" id="node13" href="../../df/d56/classThread_1_1NetworkData_1_1ContextTlv.html#a354b3c51fe5e9162a905759392f7a239" title="This method returns the Context ID value. " alt="" coords="713,371,891,409"/>
<area shape="rect" id="node6" href="../../d9/d13/classThread_1_1Ip6_1_1NetifUnicastAddress.html#a2bb426bd29e271bd1fc09b61d1044911" title="This method returns the unicast address. " alt="" coords="949,68,1118,107"/>
<area shape="rect" id="node11" href="../../d0/d48/classThread_1_1NetworkData_1_1PrefixTlv.html#a99a8265aa86b2a1a26340ae1a51421f2" title="This method returns a pointer to the Sub&#45;TLVs. " alt="" coords="954,276,1112,315"/>
<area shape="rect" id="node12" href="../../d5/d81/classThread_1_1NetworkData_1_1NetworkDataTlv.html#a30c105cfada5eeffd6a9f99c9187ee84" title="This method returns the Type value. " alt="" coords="943,339,1124,377"/>
<area shape="rect" id="node24" href="../../d2/d7c/classThread_1_1Ip6_1_1OptionHeader.html#ad60561b7bb2228c9636d7d1b6b4e18c2" title="This method sets the IPv6 Option Type value. " alt="" coords="712,703,892,741"/>
<area shape="rect" id="node25" href="../../d2/d7c/classThread_1_1Ip6_1_1OptionHeader.html#aaa4be8de89f592ab4aa5a260e43fa083" title="This method sets the IPv6 Option Length value. " alt="" coords="712,765,892,804"/>
</map>
</div>
</p>

<p><div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="../../d8/d3a/classThread_1_1Lowpan_1_1Lowpan_a51c10ea00004ab9551618d9d76b56761_icgraph.png" border="0" usemap="#d8/d3a/classThread_1_1Lowpan_1_1Lowpan_a51c10ea00004ab9551618d9d76b56761_icgraph" alt=""/></div>
<map name="d8/d3a/classThread_1_1Lowpan_1_1Lowpan_a51c10ea00004ab9551618d9d76b56761_icgraph" id="d8/d3a/classThread_1_1Lowpan_1_1Lowpan_a51c10ea00004ab9551618d9d76b56761_icgraph">
<area shape="rect" id="node2" href="../../dd/d1d/classThread_1_1MeshForwarder.html#a5f726671448fb7cd72f8ee96db40731a" title="This method sets the scan parameters for MLE Discovery Request messages. " alt="" coords="225,33,395,72"/>
<area shape="rect" id="node3" href="../../df/d94/group__core-mle-core.html#gab299d00d1b2beabe8130e400dd6eca91" title="This method initiates a Thread Discovery. " alt="" coords="443,40,623,65"/>
<area shape="rect" id="node4" href="../../d4/db5/classThread_1_1MeshCoP_1_1Joiner.html#a1ca1f767cfe15e7c25b8f65606e7fefb" title="This method starts the Joiner service. " alt="" coords="671,5,845,44"/>
<area shape="rect" id="node5" href="../../d0/d0a/group__commands.html#ga8422cdf7d0b8b22c6dd107e6bb1309f2" title="This function starts a Thread Discovery scan. " alt="" coords="716,68,800,93"/>
<area shape="rect" id="node6" href="../../d5/dc2/structThread_1_1Cli_1_1Interpreter.html#a11ee1f86cffe17aab7de3de0bb16dee7" title="This method parses an ASCII string as an unsigned long. " alt="" coords="893,61,1048,100"/>
</map>
</div>
</p>

</div>
</div>
<a class="anchor" id="aedb6b9f843ff1752d37fab8565fd27bf"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int Thread::Lowpan::Lowpan::DecompressBaseHeader </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d8/d6e/classThread_1_1Ip6_1_1Header.html">Ip6::Header</a> &amp;&#160;</td>
          <td class="paramname"><em>aHeader</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="../../dd/dcd/structThread_1_1Mac_1_1Address.html">Mac::Address</a> &amp;&#160;</td>
          <td class="paramname"><em>aMacSource</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="../../dd/dcd/structThread_1_1Mac_1_1Address.html">Mac::Address</a> &amp;&#160;</td>
          <td class="paramname"><em>aMacDest</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const uint8_t *&#160;</td>
          <td class="paramname"><em>aBuf</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This method decompresses a LOWPAN_IPHC header. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[out]</td><td class="paramname">aHeader</td><td>A reference where the IPv6 header will be placed. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">aMacSource</td><td>The MAC source address. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">aMacDest</td><td>The MAC destination address. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">aBuf</td><td>A pointer to the LOWPAN_IPHC header.</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>The size of the compressed header in bytes. </dd></dl>

<p><div class="dynheader">
Here is the call graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="../../d8/d3a/classThread_1_1Lowpan_1_1Lowpan_aedb6b9f843ff1752d37fab8565fd27bf_cgraph.png" border="0" usemap="#d8/d3a/classThread_1_1Lowpan_1_1Lowpan_aedb6b9f843ff1752d37fab8565fd27bf_cgraph" alt=""/></div>
<map name="d8/d3a/classThread_1_1Lowpan_1_1Lowpan_aedb6b9f843ff1752d37fab8565fd27bf_cgraph" id="d8/d3a/classThread_1_1Lowpan_1_1Lowpan_aedb6b9f843ff1752d37fab8565fd27bf_cgraph">
<area shape="rect" id="node2" href="../../d6/d9b/classThread_1_1NetworkData_1_1Leader.html#aeda6636db45b59e47b41830e19eb3676" title="This method retrieves the 6LoWPAN Context information based on a given IPv6 address. " alt="" coords="257,183,405,221"/>
<area shape="rect" id="node13" href="../../d8/d6e/classThread_1_1Ip6_1_1Header.html#ae759dab83ad87de26f3e5661d4331a54" title="This method initializes the IPv6 header. " alt="" coords="261,245,402,284"/>
<area shape="rect" id="node14" href="../../d8/d6e/classThread_1_1Ip6_1_1Header.html#afc6dbaaca33c8996ce396195cb6f8978" title="This method sets the IPv6 Next Header value. " alt="" coords="261,308,402,347"/>
<area shape="rect" id="node15" href="../../d8/d6e/classThread_1_1Ip6_1_1Header.html#a60add06692d13d0b9ff26d1d1459cafa" title="This method sets the IPv6 Hop Limit value. " alt="" coords="261,371,402,409"/>
<area shape="rect" id="node16" href="../../d8/d6e/classThread_1_1Ip6_1_1Header.html#a6cc72334ebe32da12f67b0389b9bae21" title="This method returns the IPv6 Source address. " alt="" coords="261,433,402,472"/>
<area shape="rect" id="node17" href="../../d9/db1/classThread_1_1Ip6_1_1Address.html#a7e4fe6c422ffbaf30638bbf7065da6fa" title="This method sets the Interface Identifier. " alt="" coords="258,496,404,535"/>
<area shape="rect" id="node18" href="../../d8/d6e/classThread_1_1Ip6_1_1Header.html#a24b065a50a342b00d2d8907b2fb3a66a" title="This method returns the IPv6 Destination address. " alt="" coords="261,559,402,597"/>
<area shape="rect" id="node19" href="../../dc/d3c/classThread_1_1Message.html#a3c3d1c48e940f2553586d16e1618277d" title="This method appends bytes to the end of the message. " alt="" coords="242,621,420,647"/>
<area shape="rect" id="node20" href="../../dc/d3c/classThread_1_1Message.html#a7b45edaa8ba9f31a437aea73cfca387c" title="This method moves the byte offset within the message. " alt="" coords="231,671,431,696"/>
<area shape="rect" id="node21" href="../../d7/de1/classThread_1_1Ip6_1_1OptionPad1.html#a25d2edd207eb69b1f3127fdc58bfe049" title="This method initializes the Pad1 header. " alt="" coords="248,720,415,759"/>
<area shape="rect" id="node22" href="../../d7/d93/classThread_1_1Ip6_1_1OptionPadN.html#aa0b5823c3b34f87c98cb38c8de9e66ae" title="This method initializes the PadN header. " alt="" coords="246,783,416,821"/>
<area shape="rect" id="node25" href="../../d7/dd3/classThread_1_1Ip6_1_1UdpHeader.html#a3e48adfe7fb163bd8dd6e6f26cb5dda4" title="This method sets the UDP Source Port. " alt="" coords="249,845,414,884"/>
<area shape="rect" id="node26" href="../../d7/dd3/classThread_1_1Ip6_1_1UdpHeader.html#aa6b4ee310b27450ea21696b8a1ab9e36" title="This method sets the UDP Destination Port. " alt="" coords="249,908,414,947"/>
<area shape="rect" id="node27" href="../../d7/dd3/classThread_1_1Ip6_1_1UdpHeader.html#ada31b17064f026a602cac8ce755cffcf" title="This method sets the UDP Checksum. " alt="" coords="249,971,414,1009"/>
<area shape="rect" id="node28" href="../../d7/dd3/classThread_1_1Ip6_1_1UdpHeader.html#a232ac624d1b666065516cd2b7dc5f729" title="This method sets the UDP Length. " alt="" coords="249,1033,414,1072"/>
<area shape="rect" id="node29" href="../../dc/d3c/classThread_1_1Message.html#ac8304ee00c9e0b303539687e98e192e0" title="This method returns the byte offset within the message. " alt="" coords="237,1096,426,1121"/>
<area shape="rect" id="node3" href="../../d4/d80/group__core-netdata-core.html#ga5ff7c89eab94daf8fffde176c02f2093" title="This method computes the number of IPv6 Prefix bits that match. " alt="" coords="480,5,664,44"/>
<area shape="rect" id="node4" href="../../df/d94/group__core-mle-core.html#ga1892b5d66471226fa03645a966cb3eed" title="This method returns a pointer to the Mesh Local Prefix. " alt="" coords="481,68,663,107"/>
<area shape="rect" id="node6" href="../../d5/d81/classThread_1_1NetworkData_1_1NetworkDataTlv.html#af812881954a5608981bfa430eca30731" title="This method returns a pointer to the next Network Data TLV. " alt="" coords="713,172,893,211"/>
<area shape="rect" id="node7" href="../../d0/d48/classThread_1_1NetworkData_1_1PrefixTlv.html#aba35dd736801e79069757eee1d30d204" title="This method returns a pointer to the Prefix. " alt="" coords="498,183,646,221"/>
<area shape="rect" id="node8" href="../../d0/d48/classThread_1_1NetworkData_1_1PrefixTlv.html#a65883f0127059dc652e37a6b97ac4c07" title="This method returns the Prefix Length value. " alt="" coords="480,245,664,284"/>
<area shape="rect" id="node9" href="../../d4/d80/group__core-netdata-core.html#ga722be438ba262b0aba0128f5082388b1" title="This method returns a pointer to the Context TLV within a given Prefix TLV. " alt="" coords="479,308,665,347"/>
<area shape="rect" id="node12" href="../../df/d56/classThread_1_1NetworkData_1_1ContextTlv.html#a354b3c51fe5e9162a905759392f7a239" title="This method returns the Context ID value. " alt="" coords="483,371,661,409"/>
<area shape="rect" id="node5" href="../../d9/d13/classThread_1_1Ip6_1_1NetifUnicastAddress.html#a2bb426bd29e271bd1fc09b61d1044911" title="This method returns the unicast address. " alt="" coords="719,68,888,107"/>
<area shape="rect" id="node10" href="../../d0/d48/classThread_1_1NetworkData_1_1PrefixTlv.html#a99a8265aa86b2a1a26340ae1a51421f2" title="This method returns a pointer to the Sub&#45;TLVs. " alt="" coords="724,276,882,315"/>
<area shape="rect" id="node11" href="../../d5/d81/classThread_1_1NetworkData_1_1NetworkDataTlv.html#a30c105cfada5eeffd6a9f99c9187ee84" title="This method returns the Type value. " alt="" coords="713,339,894,377"/>
<area shape="rect" id="node23" href="../../d2/d7c/classThread_1_1Ip6_1_1OptionHeader.html#ad60561b7bb2228c9636d7d1b6b4e18c2" title="This method sets the IPv6 Option Type value. " alt="" coords="482,752,662,791"/>
<area shape="rect" id="node24" href="../../d2/d7c/classThread_1_1Ip6_1_1OptionHeader.html#aaa4be8de89f592ab4aa5a260e43fa083" title="This method sets the IPv6 Option Length value. " alt="" coords="482,815,662,853"/>
</map>
</div>
</p>

<p><div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="../../d8/d3a/classThread_1_1Lowpan_1_1Lowpan_aedb6b9f843ff1752d37fab8565fd27bf_icgraph.png" border="0" usemap="#d8/d3a/classThread_1_1Lowpan_1_1Lowpan_aedb6b9f843ff1752d37fab8565fd27bf_icgraph" alt=""/></div>
<map name="d8/d3a/classThread_1_1Lowpan_1_1Lowpan_aedb6b9f843ff1752d37fab8565fd27bf_icgraph" id="d8/d3a/classThread_1_1Lowpan_1_1Lowpan_aedb6b9f843ff1752d37fab8565fd27bf_icgraph">
<area shape="rect" id="node2" href="../../d8/d3a/classThread_1_1Lowpan_1_1Lowpan.html#a51c10ea00004ab9551618d9d76b56761" title="This method decompresses a LOWPAN_IPHC header. " alt="" coords="231,5,403,44"/>
<area shape="rect" id="node3" href="../../dd/d1d/classThread_1_1MeshForwarder.html#a5f726671448fb7cd72f8ee96db40731a" title="This method sets the scan parameters for MLE Discovery Request messages. " alt="" coords="451,35,620,73"/>
<area shape="rect" id="node4" href="../../df/d94/group__core-mle-core.html#gab299d00d1b2beabe8130e400dd6eca91" title="This method initiates a Thread Discovery. " alt="" coords="668,41,849,67"/>
<area shape="rect" id="node5" href="../../d4/db5/classThread_1_1MeshCoP_1_1Joiner.html#a1ca1f767cfe15e7c25b8f65606e7fefb" title="This method starts the Joiner service. " alt="" coords="897,7,1070,45"/>
<area shape="rect" id="node6" href="../../d0/d0a/group__commands.html#ga8422cdf7d0b8b22c6dd107e6bb1309f2" title="This function starts a Thread Discovery scan. " alt="" coords="941,69,1026,95"/>
<area shape="rect" id="node7" href="../../d5/dc2/structThread_1_1Cli_1_1Interpreter.html#a11ee1f86cffe17aab7de3de0bb16dee7" title="This method parses an ASCII string as an unsigned long. " alt="" coords="1118,63,1274,101"/>
</map>
</div>
</p>

</div>
</div>
<a class="anchor" id="ade9d72685760a1b3901c72b9a798f057"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static bool Thread::Lowpan::Lowpan::IsLowpanHc </td>
          <td>(</td>
          <td class="paramtype">uint8_t *&#160;</td>
          <td class="paramname"><em>aHeader</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>This method indicates whether or not the header is a LOWPAN_IPHC header. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">aHeader</td><td>A pointer to the header.</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">TRUE</td><td>If the header matches the LOWPAN_IPHC dispatch value. </td></tr>
    <tr><td class="paramname">FALSE</td><td>If the header does not match the LOWPAN_IPHC dispatch value. </td></tr>
  </table>
  </dd>
</dl>

<p><div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="../../d8/d3a/classThread_1_1Lowpan_1_1Lowpan_ade9d72685760a1b3901c72b9a798f057_icgraph.png" border="0" usemap="#d8/d3a/classThread_1_1Lowpan_1_1Lowpan_ade9d72685760a1b3901c72b9a798f057_icgraph" alt=""/></div>
<map name="d8/d3a/classThread_1_1Lowpan_1_1Lowpan_ade9d72685760a1b3901c72b9a798f057_icgraph" id="d8/d3a/classThread_1_1Lowpan_1_1Lowpan_ade9d72685760a1b3901c72b9a798f057_icgraph">
<area shape="rect" id="node2" href="../../dd/d1d/classThread_1_1MeshForwarder.html#a5f726671448fb7cd72f8ee96db40731a" title="This method sets the scan parameters for MLE Discovery Request messages. " alt="" coords="225,33,395,72"/>
<area shape="rect" id="node3" href="../../df/d94/group__core-mle-core.html#gab299d00d1b2beabe8130e400dd6eca91" title="This method initiates a Thread Discovery. " alt="" coords="443,40,623,65"/>
<area shape="rect" id="node4" href="../../d4/db5/classThread_1_1MeshCoP_1_1Joiner.html#a1ca1f767cfe15e7c25b8f65606e7fefb" title="This method starts the Joiner service. " alt="" coords="671,5,845,44"/>
<area shape="rect" id="node5" href="../../d0/d0a/group__commands.html#ga8422cdf7d0b8b22c6dd107e6bb1309f2" title="This function starts a Thread Discovery scan. " alt="" coords="716,68,800,93"/>
<area shape="rect" id="node6" href="../../d5/dc2/structThread_1_1Cli_1_1Interpreter.html#a11ee1f86cffe17aab7de3de0bb16dee7" title="This method parses an ASCII string as an unsigned long. " alt="" coords="893,61,1048,100"/>
</map>
</div>
</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following files:<ul>
<li>src/core/thread/<a class="el" href="../../de/d66/lowpan_8hpp_source.html">lowpan.hpp</a></li>
<li>src/core/thread/<a class="el" href="../../d6/d2b/lowpan_8cpp.html">lowpan.cpp</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><b>Thread</b></li><li class="navelem"><a class="el" href="../../df/d62/namespaceThread_1_1Lowpan.html">Lowpan</a></li><li class="navelem"><a class="el" href="../../d8/d3a/classThread_1_1Lowpan_1_1Lowpan.html">Lowpan</a></li>
    <li class="footer">Generated on Fri Oct 14 2016 08:44:36 for OpenThread by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="../../doxygen.png" alt="doxygen"/></a> 1.8.11 </li>
  </ul>
</div>
</body>
</html>
